
Foreman - Refactor #22058

Rubocop Tracker Issue

12/21/2017 08:04 PM - Anonymous

Status: New   

Priority: Normal   

Assignee:    

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Refactor #19763: Fix Rubocop: Bundler/OrderedGems Closed 06/04/2017

Related to Foreman - Refactor #19764: Fix Rubocop: Layout/AccessModifierInden... Closed 06/04/2017

Related to Foreman - Refactor #19765: Fix Rubocop: Layout/AlignHash Closed

Related to Foreman - Refactor #19766: Fix Rubocop: Layout/AlignParameters Closed

Related to Foreman - Refactor #19767: Fix Rubocop: Layout/CaseIndentation
 New

Related to Foreman - Refactor #19768: Fix Rubocop: Layout/ClosingParenthesisI... Closed

Related to Foreman - Refactor #19769: Fix Rubocop: Layout/CommentIndentation Closed 06/04/2017

Related to Foreman - Refactor #19770: Fix Rubocop: Layout/DotPosition Closed 06/04/2017

Related to Foreman - Refactor #19771: Fix Rubocop: Layout/EmptyLineAfterMagic... Closed 06/04/2017

Related to Foreman - Refactor #19772: Fix Rubocop: Layout/EmptyLineBetweenDefs Closed 06/04/2017

Related to Foreman - Refactor #19773: Fix Rubocop: Layout/EmptyLinesAroundAcc... Closed 06/04/2017

Related to Foreman - Refactor #19774: Fix Rubocop: Layout/EmptyLinesAroundExc... Closed 06/04/2017

Related to Foreman - Refactor #19775: Fix Rubocop: Layout/ExtraSpacing Closed

Related to Foreman - Refactor #19776: Fix Rubocop: Layout/FirstParameterInden... Closed 06/04/2017

Related to Foreman - Refactor #19777: Fix Rubocop: Layout/IndentArray Closed 06/04/2017

Related to Foreman - Refactor #19778: Fix Rubocop: Layout/IndentAssignment Closed 06/04/2017

Related to Foreman - Refactor #19779: Fix Rubocop: Layout/IndentHeredoc
 Closed

Related to Foreman - Refactor #19780: Fix Rubocop: Layout/IndentationWidth Closed 06/04/2017

Related to Foreman - Refactor #19781: Fix Rubocop: Layout/LeadingCommentSpace Closed

Related to Foreman - Refactor #19782: Fix Rubocop: Layout/MultilineArrayBrace... Closed 06/04/2017

Related to Foreman - Refactor #19783: Fix Rubocop: Layout/MultilineHashBraceL... New

Related to Foreman - Refactor #19784: Fix Rubocop: Layout/MultilineMethodCall... New

Related to Foreman - Refactor #19785: Fix Rubocop: Layout/MultilineMethodCall... New

Related to Foreman - Refactor #19786: Fix Rubocop: Layout/MultilineOperationI... New

Related to Foreman - Refactor #19787: Fix Rubocop: Layout/SpaceAfterComma Closed 06/04/2017

Related to Foreman - Refactor #19788: Fix Rubocop: Layout/SpaceAroundBlockPar... Closed 06/04/2017

Related to Foreman - Refactor #19789: Fix Rubocop: Layout/SpaceAroundOperators Closed

Related to Foreman - Refactor #19790: Fix Rubocop: Layout/SpaceBeforeBlockBraces Closed

Related to Foreman - Refactor #19791: Fix Rubocop: Layout/SpaceBeforeFirstArg Resolved 06/04/2017

Related to Foreman - Refactor #19792: Fix Rubocop: Layout/SpaceInsideBlockBraces Closed

Related to Foreman - Refactor #19793: Fix Rubocop: Layout/SpaceInsideReferenc... Closed 06/04/2017

Related to Foreman - Refactor #19794: Fix Rubocop: Layout/SpaceInsideHashLite... New

Related to Foreman - Refactor #19795: Fix Rubocop: Layout/SpaceInsideParens Closed 06/04/2017

Related to Foreman - Refactor #19796: Fix Rubocop: Layout/SpaceInsidePercentL... Closed 06/04/2017
Related to Foreman - Refactor #19797: Fix Rubocop: Layout/SpaceInsideStringIn... Closed 06/04/2017

Related to Foreman - Refactor #19798: Fix Rubocop: Layout/TrailingBlankLines
 Closed 06/04/2017

Related to Foreman - Refactor #19799: Fix Rubocop: Lint/AmbiguousBlockAssocia... New

Related to Foreman - Refactor #19800: Fix Rubocop: Lint/AmbiguousRegexpLiteral
 New

Related to Foreman - Refactor #19801: Fix Rubocop: Lint/AssignmentInCondition Closed 06/04/2017

Related to Foreman - Refactor #19802: Fix Rubocop: Lint/EndAlignment Resolved 06/04/2017

Related to Foreman - Refactor #19803: Fix Rubocop: Lint/HandleExceptions
 New

Related to Foreman - Refactor #19804: Fix Rubocop: Lint/NonLocalExitFromItera... New

Related to Foreman - Refactor #19805: Fix Rubocop: Lint/ParenthesesAsGroupedE... New

Related to Foreman - Refactor #19806: Fix Rubocop: Lint/UnusedBlockArgument
 New

Related to Foreman - Refactor #19807: Fix Rubocop: Lint/UnusedMethodArgument
 New

Related to Foreman - Refactor #19808: Fix Rubocop: Lint/UselessAssignment Closed 06/04/2017

Related to Foreman - Refactor #19809: Fix Rubocop: Metrics/AbcSize Closed

Related to Foreman - Refactor #19810: Fix Rubocop: Metrics/BlockLength Closed

Related to Foreman - Refactor #19811: Fix Rubocop: Metrics/BlockNesting Closed

Related to Foreman - Refactor #19812: Fix Rubocop: Metrics/ClassLength Closed

Related to Foreman - Refactor #19813: Fix Rubocop: Metrics/CyclomaticComplexity Closed

Related to Foreman - Refactor #19814: Fix Rubocop: Metrics/LineLength Closed

Related to Foreman - Refactor #19815: Fix Rubocop: Metrics/MethodLength Closed

Related to Foreman - Refactor #19816: Fix Rubocop: Metrics/ModuleLength Closed

Related to Foreman - Refactor #19817: Fix Rubocop: Metrics/ParameterLists Closed

Related to Foreman - Refactor #19818: Fix Rubocop: Metrics/PerceivedComplexity Closed

Related to Foreman - Refactor #19819: Fix Rubocop: Performance/Caller Closed 06/04/2017

Related to Foreman - Refactor #19820: Fix Rubocop: Performance/Casecmp Closed 06/04/2017

Related to Foreman - Refactor #19821: Fix Rubocop: Performance/CompareWithBlock Closed 06/04/2017

Related to Foreman - Refactor #19822: Fix Rubocop: Performance/RangeInclude Closed 06/04/2017

Related to Foreman - Refactor #19823: Fix Rubocop: Performance/StartWith Closed 06/04/2017

Related to Foreman - Refactor #19824: Fix Rubocop: Performance/StringReplacement Closed 06/04/2017

Related to Foreman - Refactor #19825: Fix Rubocop: Performance/TimesMap Closed 06/04/2017

Related to Foreman - Refactor #19826: Fix Rubocop: Rails/ActiveSupportAliases Closed 06/04/2017

Related to Foreman - Refactor #19827: Fix Rubocop: Rails/ApplicationRecord Resolved 06/04/2017

Related to Foreman - Refactor #19828: Fix Rubocop: Rails/Blank Closed 06/04/2017

Related to Foreman - Refactor #19829: Fix Rubocop: Rails/Date
 New

Related to Foreman - Refactor #19830: Fix Rubocop: Rails/DynamicFindBy New

Related to Foreman - Refactor #19831: Fix Rubocop: Rails/FilePath
 New

Related to Foreman - Refactor #19832: Fix Rubocop: Rails/FindBy Closed 06/04/2017

Related to Foreman - Refactor #19833: Fix Rubocop: Rails/FindEach Closed

Related to Foreman - Refactor #19834: Fix Rubocop: Rails/HasAndBelongsToMany
 New

Related to Foreman - Refactor #19835: Fix Rubocop: Rails/HttpPositionalArguments Resolved 06/04/2017

Related to Foreman - Refactor #19836: Fix Rubocop: Rails/Output
 New

Related to Foreman - Refactor #19837: Fix Rubocop: Rails/OutputSafety
 New

Related to Foreman - Refactor #19838: Fix Rubocop: Rails/PluralizationGrammar Closed 06/04/2017

Related to Foreman - Refactor #19839: Fix Rubocop: Rails/Present Closed 06/04/2017

Related to Foreman - Refactor #19840: Fix Rubocop: Rails/ReadWriteAttribute Closed 06/04/2017

Related to Foreman - Refactor #19841: Fix Rubocop: Rails/ReversibleMigration
 New

Related to Foreman - Refactor #19842: Fix Rubocop: Rails/SkipsModelValidations
 New

Related to Foreman - Refactor #19843: Fix Rubocop: Rails/TimeZone New

Related to Foreman - Refactor #19844: Fix Rubocop: Security/Eval Closed 06/04/2017

Related to Foreman - Refactor #19845: Fix Rubocop: Security/JSONLoad
 New

Related to Foreman - Refactor #19846: Fix Rubocop: Security/YAMLLoad
 New

Related to Foreman - Refactor #19847: Fix Rubocop: Style/AccessorMethodName
 New

Related to Foreman - Refactor #19848: Fix Rubocop: Style/Alias Closed 06/04/2017

Related to Foreman - Refactor #19849: Fix Rubocop: Style/AndOr Closed 06/04/2017
Related to Foreman - Refactor #19850: Fix Rubocop: Style/BracesAroundHashPara... New

Related to Foreman - Refactor #19851: Fix Rubocop: Style/ClassAndModuleChildren
 New

Related to Foreman - Refactor #19852: Fix Rubocop: Style/ClassVars
 New

Related to Foreman - Refactor #19853: Fix Rubocop: Style/ColonMethodCall Closed 06/04/2017

Related to Foreman - Refactor #19854: Fix Rubocop: Style/CommentAnnotation
 New

Related to Foreman - Refactor #19855: Fix Rubocop: Style/ConditionalAssignment Closed

Related to Foreman - Refactor #19856: Fix Rubocop: Style/DoubleNegation
 New

Related to Foreman - Refactor #19857: Fix Rubocop: Style/EachWithObject Closed 06/04/2017

Related to Foreman - Refactor #19858: Fix Rubocop: Style/EmptyMethod Closed

Related to Foreman - Refactor #19859: Fix Rubocop: Style/FileName
 New

Related to Foreman - Refactor #19860: Fix Rubocop: Style/For Closed

Related to Foreman - Refactor #19861: Fix Rubocop: Style/FormatString
 New

Related to Foreman - Refactor #19862: Fix Rubocop: Style/FormatStringToken
 New

Related to Foreman - Refactor #19863: Fix Rubocop: Style/GlobalVars
 New

Related to Foreman - Feature #3809: Add rubocop to foreman Closed

Related to Foreman - Refactor #19864: Fix Rubocop: Style/GuardClause
 New

Related to Foreman - Refactor #19865: Fix Rubocop: Style/IdenticalConditional... New

Related to Foreman - Refactor #19866: Fix Rubocop: Style/IfInsideElse
 New

Related to Foreman - Refactor #19867: Fix Rubocop: Style/IfUnlessModifierOfIf... Closed

Related to Foreman - Refactor #19868: Fix Rubocop: Style/InverseMethods Closed 06/04/2017

Related to Foreman - Refactor #19869: Fix Rubocop: Style/LineEndConcatenation Closed

Related to Foreman - Refactor #19870: Fix Rubocop: Style/MethodCallWithoutArg... New

Related to Foreman - Refactor #19871: Fix Rubocop: Style/MethodDefParentheses Closed 06/04/2017

Related to Foreman - Refactor #19872: Fix Rubocop: Style/MethodName
 New

Related to Foreman - Refactor #19873: Fix Rubocop: Style/MultilineIfModifier Closed

Related to Foreman - Refactor #19874: Fix Rubocop: Style/MultilineMemoization Closed 06/04/2017

Related to Foreman - Refactor #19875: Fix Rubocop: Style/MultipleComparison Closed

Related to Foreman - Refactor #19876: Fix Rubocop: Style/MutableConstant New

Related to Foreman - Refactor #19877: Fix Rubocop: Style/NegatedIf Closed 06/04/2017

Related to Foreman - Refactor #19878: Fix Rubocop: Style/NestedModifier Closed 06/04/2017

Related to Foreman - Refactor #19879: Fix Rubocop: Style/NestedParenthesizedC... Closed 06/04/2017

Related to Foreman - Refactor #19880: Fix Rubocop: Style/Next
 New

Related to Foreman - Refactor #19881: Fix Rubocop: Style/Not Closed 06/04/2017

Related to Foreman - Refactor #19882: Fix Rubocop: Style/NumericLiteralPrefix
 New

Related to Foreman - Refactor #19883: Fix Rubocop: Style/NumericLiterals
 New

Related to Foreman - Refactor #19884: Fix Rubocop: Style/NumericPredicate
 Closed

Related to Foreman - Refactor #19885: Fix Rubocop: Style/OpMethod Resolved 06/04/2017

Related to Foreman - Refactor #19886: Fix Rubocop: Style/ParallelAssignment Closed

Related to Foreman - Refactor #19887: Fix Rubocop: Style/ParenthesesAroundCon... Closed

Related to Foreman - Refactor #19888: Fix Rubocop: Style/PercentLiteralDelimi... New

Related to Foreman - Refactor #19889: Fix Rubocop: Style/PerlBackrefs Closed 06/04/2017

Related to Foreman - Refactor #19890: Fix Rubocop: Style/PredicateName
 New

Related to Foreman - Refactor #19891: Fix Rubocop: Style/PreferredHashMethods Closed

Related to Foreman - Refactor #19892: Fix Rubocop: Style/Proc
 Closed

Related to Foreman - Refactor #19893: Fix Rubocop: Style/RaiseArgs
 New

Related to Foreman - Refactor #19894: Fix Rubocop: Style/RedundantParentheses Closed 06/04/2017

Related to Foreman - Refactor #19895: Fix Rubocop: Style/RedundantReturn Closed

Related to Foreman - Refactor #19896: Fix Rubocop: Style/RedundantSelf
 Closed

Related to Foreman - Refactor #19897: Fix Rubocop: Style/RegexpLiteral
 New

Related to Foreman - Refactor #19898: Fix Rubocop: Style/RescueModifier
 New

Related to Foreman - Refactor #19899: Fix Rubocop: Style/SignalException
 New

Related to Foreman - Refactor #19900: Fix Rubocop: Style/SingleLineMethods Closed 06/04/2017

Related to Foreman - Refactor #19901: Fix Rubocop: Style/SpecialGlobalVars Closed 06/04/2017
Related to Foreman - Refactor #19902: Fix Rubocop: Style/StringLiteralsInInte... Closed 06/04/2017

Related to Foreman - Refactor #19903: Fix Rubocop: Style/StructInheritance
 New

Related to Foreman - Refactor #19904: Fix Rubocop: Style/SymbolArray
 Closed

Related to Foreman - Refactor #19905: Fix Rubocop: Style/SymbolLiteral Closed 06/04/2017

Related to Foreman - Refactor #19906: Fix Rubocop: Style/SymbolProc
 New

Related to Foreman - Refactor #19907: Fix Rubocop: Style/TernaryParentheses Closed 06/04/2017

Related to Foreman - Refactor #19908: Fix Rubocop: Style/TrailingCommaInLiteral Resolved

Related to Foreman - Refactor #19909: Fix Rubocop: Style/TrivialAccessors Closed 06/04/2017

Related to Foreman - Refactor #19910: Fix Rubocop: Style/UnlessElse Closed 06/04/2017

Related to Foreman - Refactor #19911: Fix Rubocop: Style/VariableNumber
 New

Related to Foreman - Refactor #19912: Fix Rubocop: Style/WordArray Closed 06/04/2017

Related to Foreman - Refactor #19913: Fix Rubocop: Style/ZeroLengthPredicate Closed 06/04/2017

Related to Foreman - Refactor #22077: Fix Rubocop: Style/TrailingMethodEndSta... Closed 12/26/2017

Related to Foreman - Refactor #22078: Fix Rubocop Rails/EnvironmentComparison Closed 12/26/2017

Related to Foreman - Refactor #22079: Fix Rubocop: Lint/UriRegexp Closed 12/26/2017

Related to Foreman - Refactor #22327: Fix Rubocop: Lint/MissingCopEnableDirec... Closed 01/19/2018

Related to Foreman - Refactor #22328: Fix Rubocop: Lint/InterpolationCheck Closed 01/19/2018

Related to Foreman - Feature #22329: Fix Rubocop: Style/RandomWithOffset Closed 01/19/2018

Related to Foreman - Refactor #22331: Fix Rubocop: Rails/Presence Closed 01/19/2018

Related to Foreman - Refactor #23075: Fix Rubocop: Rails/HttpStatus Closed 04/02/2018

Related to Foreman - Refactor #23076: Fix Rubocop Style/TrailingCommaInHashLi... Closed 04/02/2018

Related to Foreman - Feature #23077: Fix Rubocop Style/TrailingCommaInArrayLi... Closed 04/02/2018

Related to Foreman - Refactor #23079: Fix Rubocop Naming/HeredocDelimiterCase Closed 04/02/2018

Related to Foreman - Refactor #23080: Fix Rubocop Style/EvalWithLocation Closed 04/02/2018

Related to Foreman - Refactor #23081: Fix Rubocop Style/SafeNavigation Closed 04/02/2018

Related to Foreman - Refactor #23123: Fix Rubocop: Rails/ActiveRecordAliases Closed 04/04/2018

Related to Foreman - Refactor #23157: Fix Rubocop: Performance/FixedSize Closed 04/06/2018

Related to Foreman - Refactor #23235: Fix Rubopcop: Style/IfUnlessModifier Closed

Related to Foreman - Refactor #23962: Fix Rubocop: Style/ExpandPathArguments Closed

Related to Foreman - Refactor #25324: Fix Rubocop: Performance/UnneededSort Closed

Related to Foreman - Refactor #25325: Fix Rubocop: Layout/RescueEnsureAlignment Closed

Related to Foreman - Refactor #25326: Fix Rubocop: Lint/SafeNavigationConsist... Closed

Related to Foreman - Refactor #25327: Fix Rubocop: Style/UnneededCondition Closed

Related to Foreman - Refactor #25365: Fix Rubocop: Rails/RefuteMethods Closed

Related to Foreman - Refactor #27249: Fix Rubocop Style/TrailingCommaInArrayL... Closed

Related to Foreman - Refactor #27263: Fix Rubocop Naming/UncommunicativeBlock... Closed

Related to Foreman - Refactor #28511: Fix Rubocop: Lint/SendWithMixinArgument Closed

Related to Foreman - Refactor #28512: Fix Rubocop: Layout/ClosingHeredocInden... Closed

Related to Foreman - Bug #28561: Fix Rubocop: Layout/AlignArguments Closed

Related to Foreman - Refactor #28575: Fix Rubocop: Performance/RegexpMatch Closed

Related to Foreman - Refactor #28576: Fix Rubocop: Style/RedundantBegin Closed

Related to Foreman - Refactor #29349: Fix Rubocop: Layout/SpaceInsideArrayLit... Closed

Related to Foreman - Refactor #29350: Fix Rubocop: Layout/EmptyLineAfterGuard... Closed

Associated revisions

Revision b697e513 - 06/14/2018 09:50 AM - Michael Moll 

Refs #22058 - refresh rubocop config and apply autofixes

History

#1 - 12/21/2017 08:05 PM - Anonymous

- Related to Refactor #19763: Fix Rubocop: Bundler/OrderedGems added

#2 - 12/21/2017 08:11 PM - Anonymous
- Related to Refactor #19764: Fix Rubocop: Layout/AccessModifierIndentation added

#3 - 12/21/2017 08:11 PM - Anonymous

- Related to Refactor #19765: Fix Rubocop: Layout/AlignHash added

#4 - 12/21/2017 08:11 PM - Anonymous

- Related to Refactor #19766: Fix Rubocop: Layout/AlignParameters added

#5 - 12/21/2017 08:11 PM - Anonymous

- Related to Refactor #19767: Fix Rubocop: Layout/CaseIndentation

 added

#6 - 12/21/2017 08:11 PM - Anonymous

- Related to Refactor #19768: Fix Rubocop: Layout/ClosingParenthesisIndentation added

#7 - 12/21/2017 08:11 PM - Anonymous

- Related to Refactor #19769: Fix Rubocop: Layout/CommentIndentation added

#8 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19770: Fix Rubocop: Layout/DotPosition added

#9 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19771: Fix Rubocop: Layout/EmptyLineAfterMagicComment added

#10 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19772: Fix Rubocop: Layout/EmptyLineBetweenDefs added

#11 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19773: Fix Rubocop: Layout/EmptyLinesAroundAccessModifier added

#12 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19774: Fix Rubocop: Layout/EmptyLinesAroundExceptionHandlingKeywords added

#13 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19775: Fix Rubocop: Layout/ExtraSpacing added

#14 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19776: Fix Rubocop: Layout/FirstParameterIndentation added

#15 - 12/21/2017 08:12 PM - Anonymous

- Related to Refactor #19777: Fix Rubocop: Layout/IndentArray added

#16 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19778: Fix Rubocop: Layout/IndentAssignment added

#17 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19779: Fix Rubocop: Layout/IndentHeredoc

 added

#18 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19780: Fix Rubocop: Layout/IndentationWidth added

#19 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19781: Fix Rubocop: Layout/LeadingCommentSpace added

#20 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19782: Fix Rubocop: Layout/MultilineArrayBraceLayout added
#21 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19783: Fix Rubocop: Layout/MultilineHashBraceLayout

 added

#22 - 12/21/2017 08:13 PM - Anonymous

- Related to Refactor #19784: Fix Rubocop: Layout/MultilineMethodCallBraceLayout

 added

#23 - 12/21/2017 08:14 PM - Anonymous

- Related to Refactor #19785: Fix Rubocop: Layout/MultilineMethodCallIndentation

 added

#24 - 12/21/2017 08:14 PM - Anonymous

- Related to Refactor #19786: Fix Rubocop: Layout/MultilineOperationIndentation

 added

#25 - 12/21/2017 08:14 PM - Anonymous

- Related to Refactor #19787: Fix Rubocop: Layout/SpaceAfterComma added

#26 - 12/21/2017 08:14 PM - Anonymous

- Related to Refactor #19788: Fix Rubocop: Layout/SpaceAroundBlockParameters added

#27 - 12/21/2017 08:14 PM - Anonymous

- Related to Refactor #19789: Fix Rubocop: Layout/SpaceAroundOperators added

#28 - 12/21/2017 08:14 PM - Anonymous

- Related to Refactor #19790: Fix Rubocop: Layout/SpaceBeforeBlockBraces added

#29 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19791: Fix Rubocop: Layout/SpaceBeforeFirstArg added

#30 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19792: Fix Rubocop: Layout/SpaceInsideBlockBraces added

#31 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19793: Fix Rubocop: Layout/SpaceInsideReferenceBrackets added

#32 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19794: Fix Rubocop: Layout/SpaceInsideHashLiteralBraces

 added

#33 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19795: Fix Rubocop: Layout/SpaceInsideParens added

#34 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19796: Fix Rubocop: Layout/SpaceInsidePercentLiteralDelimiters added

#35 - 12/21/2017 08:15 PM - Anonymous

- Related to Refactor #19797: Fix Rubocop: Layout/SpaceInsideStringInterpolation added

#36 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19798: Fix Rubocop: Layout/TrailingBlankLines

 added

#37 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19799: Fix Rubocop: Lint/AmbiguousBlockAssociation

 added
#38 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19800: Fix Rubocop: Lint/AmbiguousRegexpLiteral

 added

#39 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19801: Fix Rubocop: Lint/AssignmentInCondition added

#40 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19802: Fix Rubocop: Lint/EndAlignment added

#41 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19803: Fix Rubocop: Lint/HandleExceptions

 added

#42 - 12/21/2017 08:16 PM - Anonymous

- Related to Refactor #19804: Fix Rubocop: Lint/NonLocalExitFromIterator

 added

#43 - 12/21/2017 08:17 PM - Anonymous

- Related to Refactor #19805: Fix Rubocop: Lint/ParenthesesAsGroupedExpression

 added

#44 - 12/21/2017 08:17 PM - Anonymous

- Related to Refactor #19806: Fix Rubocop: Lint/UnusedBlockArgument

 added

#45 - 12/21/2017 08:17 PM - Anonymous

- Related to Refactor #19807: Fix Rubocop: Lint/UnusedMethodArgument

 added

#46 - 12/21/2017 08:17 PM - Anonymous

- Related to Refactor #19808: Fix Rubocop: Lint/UselessAssignment added

#47 - 12/21/2017 08:17 PM - Anonymous

- Related to Refactor #19809: Fix Rubocop: Metrics/AbcSize added

#48 - 12/21/2017 08:17 PM - Anonymous

- Related to Refactor #19810: Fix Rubocop: Metrics/BlockLength added

#49 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19811: Fix Rubocop: Metrics/BlockNesting added

#50 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19812: Fix Rubocop: Metrics/ClassLength added

#51 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19813: Fix Rubocop: Metrics/CyclomaticComplexity added

#52 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19814: Fix Rubocop: Metrics/LineLength added

#53 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19815: Fix Rubocop: Metrics/MethodLength added

#54 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19816: Fix Rubocop: Metrics/ModuleLength added

#55 - 12/21/2017 08:18 PM - Anonymous
- Related to Refactor #19817: Fix Rubocop: Metrics/ParameterLists added

#56 - 12/21/2017 08:18 PM - Anonymous

- Related to Refactor #19818: Fix Rubocop: Metrics/PerceivedComplexity added

#57 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19819: Fix Rubocop: Performance/Caller added

#58 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19820: Fix Rubocop: Performance/Casecmp added

#59 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19821: Fix Rubocop: Performance/CompareWithBlock added

#60 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19822: Fix Rubocop: Performance/RangeInclude added

#61 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19823: Fix Rubocop: Performance/StartWith added

#62 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19824: Fix Rubocop: Performance/StringReplacement added

#63 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19825: Fix Rubocop: Performance/TimesMap added

#64 - 12/21/2017 08:19 PM - Anonymous

- Related to Refactor #19826: Fix Rubocop: Rails/ActiveSupportAliases added

#65 - 12/21/2017 08:20 PM - Anonymous

- Related to Refactor #19827: Fix Rubocop: Rails/ApplicationRecord added

#66 - 12/21/2017 08:20 PM - Anonymous

- Related to Refactor #19828: Fix Rubocop: Rails/Blank added

#67 - 12/21/2017 08:20 PM - Anonymous

- Related to Refactor #19829: Fix Rubocop: Rails/Date

 added

#68 - 12/21/2017 08:20 PM - Anonymous

- Related to Refactor #19830: Fix Rubocop: Rails/DynamicFindBy added

#69 - 12/21/2017 08:20 PM - Anonymous

- Related to Refactor #19831: Fix Rubocop: Rails/FilePath

 added

#70 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19832: Fix Rubocop: Rails/FindBy added

#71 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19833: Fix Rubocop: Rails/FindEach added

#72 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19834: Fix Rubocop: Rails/HasAndBelongsToMany

 added

#73 - 12/21/2017 08:21 PM - Anonymous
- Related to Refactor #19835: Fix Rubocop: Rails/HttpPositionalArguments added

#74 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19836: Fix Rubocop: Rails/Output

 added

#75 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19837: Fix Rubocop: Rails/OutputSafety

 added

#76 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19838: Fix Rubocop: Rails/PluralizationGrammar added

#77 - 12/21/2017 08:21 PM - Anonymous

- Related to Refactor #19839: Fix Rubocop: Rails/Present added

#78 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19840: Fix Rubocop: Rails/ReadWriteAttribute added

#79 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19841: Fix Rubocop: Rails/ReversibleMigration

 added

#80 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19842: Fix Rubocop: Rails/SkipsModelValidations

 added

#81 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19843: Fix Rubocop: Rails/TimeZone added

#82 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19844: Fix Rubocop: Security/Eval added

#83 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19845: Fix Rubocop: Security/JSONLoad

 added

#84 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19846: Fix Rubocop: Security/YAMLLoad

 added

#85 - 12/21/2017 08:22 PM - Anonymous

- Related to Refactor #19847: Fix Rubocop: Style/AccessorMethodName

 added

#86 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19848: Fix Rubocop: Style/Alias added

#87 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19849: Fix Rubocop: Style/AndOr added

#88 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19850: Fix Rubocop: Style/BracesAroundHashParameters

 added

#89 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19851: Fix Rubocop: Style/ClassAndModuleChildren

 added
#90 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19852: Fix Rubocop: Style/ClassVars

 added

#91 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19853: Fix Rubocop: Style/ColonMethodCall added

#92 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19854: Fix Rubocop: Style/CommentAnnotation

 added

#93 - 12/21/2017 08:23 PM - Anonymous

- Related to Refactor #19855: Fix Rubocop: Style/ConditionalAssignment added

#94 - 12/21/2017 08:24 PM - Anonymous

- Related to Refactor #19856: Fix Rubocop: Style/DoubleNegation

 added

#95 - 12/21/2017 08:24 PM - Anonymous

- Related to Refactor #19857: Fix Rubocop: Style/EachWithObject added

#96 - 12/21/2017 08:24 PM - Anonymous

- Related to Refactor #19858: Fix Rubocop: Style/EmptyMethod added

#97 - 12/21/2017 08:24 PM - Anonymous

- Related to Refactor #19859: Fix Rubocop: Style/FileName

 added

#98 - 12/21/2017 08:24 PM - Anonymous

- Related to Refactor #19860: Fix Rubocop: Style/For added

#99 - 12/21/2017 08:24 PM - Anonymous

- Related to Refactor #19861: Fix Rubocop: Style/FormatString

 added

#100 - 12/21/2017 08:25 PM - Anonymous

- Related to Refactor #19862: Fix Rubocop: Style/FormatStringToken

 added

#101 - 12/21/2017 08:25 PM - Anonymous

- Related to Refactor #19863: Fix Rubocop: Style/GlobalVars

 added

#102 - 12/21/2017 08:25 PM - Anonymous

- Related to Refactor #19864: Fix Rubocop: Style/GuardClause

 added

#103 - 12/21/2017 08:25 PM - Anonymous

- Related to Feature #3809: Add rubocop to foreman added

#104 - 12/21/2017 08:25 PM - Anonymous

- Related to Refactor #19865: Fix Rubocop: Style/IdenticalConditionalBranches

 added

#105 - 12/21/2017 08:25 PM - Anonymous

- Related to Refactor #19866: Fix Rubocop: Style/IfInsideElse

 added

#106 - 12/21/2017 08:26 PM - Anonymous
- Related to Refactor #19867: Fix Rubocop: Style/IfUnlessModifierOfIfUnless added

#107 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19868: Fix Rubocop: Style/InverseMethods added

#108 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19869: Fix Rubocop: Style/LineEndConcatenation added

#109 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19870: Fix Rubocop: Style/MethodCallWithoutArgsParentheses

 added

#110 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19871: Fix Rubocop: Style/MethodDefParentheses added

#111 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19872: Fix Rubocop: Style/MethodName

 added

#112 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19873: Fix Rubocop: Style/MultilineIfModifier added

#113 - 12/21/2017 08:26 PM - Anonymous

- Related to Refactor #19874: Fix Rubocop: Style/MultilineMemoization added

#114 - 12/21/2017 08:27 PM - Anonymous

- Related to Refactor #19875: Fix Rubocop: Style/MultipleComparison added

#115 - 12/21/2017 08:27 PM - Anonymous

- Related to Refactor #19876: Fix Rubocop: Style/MutableConstant added

#116 - 12/21/2017 08:27 PM - Anonymous

- Related to Refactor #19877: Fix Rubocop: Style/NegatedIf added

#117 - 12/21/2017 08:27 PM - Anonymous

- Related to Refactor #19878: Fix Rubocop: Style/NestedModifier added

#118 - 12/21/2017 08:27 PM - Anonymous

- Related to Refactor #19879: Fix Rubocop: Style/NestedParenthesizedCalls added

#119 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19880: Fix Rubocop: Style/Next

 added

#120 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19881: Fix Rubocop: Style/Not added

#121 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19882: Fix Rubocop: Style/NumericLiteralPrefix

 added

#122 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19883: Fix Rubocop: Style/NumericLiterals

 added

#123 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19884: Fix Rubocop: Style/NumericPredicate

 added
#124 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19885: Fix Rubocop: Style/OpMethod added

#125 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19886: Fix Rubocop: Style/ParallelAssignment added

#126 - 12/21/2017 08:28 PM - Anonymous

- Related to Refactor #19887: Fix Rubocop: Style/ParenthesesAroundCondition added

#127 - 12/21/2017 08:29 PM - Anonymous

- Related to Refactor #19888: Fix Rubocop: Style/PercentLiteralDelimiters

 added

#128 - 12/21/2017 08:29 PM - Anonymous

- Related to Refactor #19889: Fix Rubocop: Style/PerlBackrefs added

#129 - 12/21/2017 08:29 PM - Anonymous

- Related to Refactor #19890: Fix Rubocop: Style/PredicateName

 added

#130 - 12/21/2017 08:29 PM - Anonymous

- Related to Refactor #19891: Fix Rubocop: Style/PreferredHashMethods added

#131 - 12/21/2017 08:29 PM - Anonymous

- Related to Refactor #19892: Fix Rubocop: Style/Proc

 added

#132 - 12/21/2017 08:29 PM - Anonymous

- Related to Refactor #19893: Fix Rubocop: Style/RaiseArgs

 added

#133 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19894: Fix Rubocop: Style/RedundantParentheses added

#134 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19895: Fix Rubocop: Style/RedundantReturn added

#135 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19896: Fix Rubocop: Style/RedundantSelf

 added

#136 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19897: Fix Rubocop: Style/RegexpLiteral

 added

#137 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19898: Fix Rubocop: Style/RescueModifier

 added

#138 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19899: Fix Rubocop: Style/SignalException

 added

#139 - 12/21/2017 08:30 PM - Anonymous

- Related to Refactor #19900: Fix Rubocop: Style/SingleLineMethods added

#140 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19901: Fix Rubocop: Style/SpecialGlobalVars added
#141 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19902: Fix Rubocop: Style/StringLiteralsInInterpolation added

#142 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19903: Fix Rubocop: Style/StructInheritance

 added

#143 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19904: Fix Rubocop: Style/SymbolArray

 added

#144 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19905: Fix Rubocop: Style/SymbolLiteral added

#145 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19906: Fix Rubocop: Style/SymbolProc

 added

#146 - 12/21/2017 08:31 PM - Anonymous

- Related to Refactor #19907: Fix Rubocop: Style/TernaryParentheses added

#147 - 12/21/2017 08:32 PM - Anonymous

- Related to Refactor #19908: Fix Rubocop: Style/TrailingCommaInLiteral added

#148 - 12/21/2017 08:32 PM - Anonymous

- Related to Refactor #19909: Fix Rubocop: Style/TrivialAccessors added

#149 - 12/21/2017 08:32 PM - Anonymous

- Related to Refactor #19910: Fix Rubocop: Style/UnlessElse added

#150 - 12/21/2017 08:32 PM - Anonymous

- Related to Refactor #19911: Fix Rubocop: Style/VariableNumber

 added

#151 - 12/21/2017 08:32 PM - Anonymous

- Related to Refactor #19912: Fix Rubocop: Style/WordArray added

#152 - 12/21/2017 08:32 PM - Anonymous

- Related to Refactor #19913: Fix Rubocop: Style/ZeroLengthPredicate added

#153 - 12/26/2017 10:31 PM - Anonymous

- Related to Refactor #22077: Fix Rubocop: Style/TrailingMethodEndStatement added

#154 - 12/26/2017 10:34 PM - Anonymous

- Related to Refactor #22078: Fix Rubocop Rails/EnvironmentComparison added

#155 - 12/26/2017 10:57 PM - Anonymous

- Related to Refactor #22079: Fix Rubocop: Lint/UriRegexp added

#156 - 01/19/2018 11:50 AM - Anonymous

- Related to Refactor #22327: Fix Rubocop: Lint/MissingCopEnableDirective added

#157 - 01/19/2018 11:54 AM - Anonymous

- Related to Refactor #22328: Fix Rubocop: Lint/InterpolationCheck added

#158 - 01/19/2018 12:00 PM - Anonymous

- Related to Feature #22329: Fix Rubocop: Style/RandomWithOffset added
#159 - 01/19/2018 12:46 PM - Anonymous

- Related to Refactor #22331: Fix Rubocop: Rails/Presence added

#160 - 04/02/2018 01:06 PM - Anonymous

- Related to Refactor #23075: Fix Rubocop: Rails/HttpStatus added

#161 - 04/02/2018 01:06 PM - Anonymous

- Related to Refactor #23076: Fix Rubocop Style/TrailingCommaInHashLiteral added

#162 - 04/02/2018 01:06 PM - Anonymous

- Related to Feature #23077: Fix Rubocop Style/TrailingCommaInArrayLiteral added

#163 - 04/02/2018 01:06 PM - Anonymous

- Related to Refactor #23079: Fix Rubocop Naming/HeredocDelimiterCase added

#164 - 04/02/2018 01:06 PM - Anonymous

- Related to Refactor #23080: Fix Rubocop Style/EvalWithLocation added

#165 - 04/02/2018 01:09 PM - Anonymous

- Related to Refactor #23081: Fix Rubocop Style/SafeNavigation added

#166 - 04/04/2018 06:36 PM - Anonymous

- Related to Refactor #23123: Fix Rubocop: Rails/ActiveRecordAliases added

#167 - 04/06/2018 10:16 PM - Anonymous

- Related to Refactor #23157: Fix Rubocop: Performance/FixedSize added

#168 - 04/11/2018 10:41 PM - Anonymous

- Related to Refactor #23235: Fix Rubopcop: Style/IfUnlessModifier added

#169 - 06/15/2018 09:48 PM - Anonymous

- Related to Refactor #23962: Fix Rubocop: Style/ExpandPathArguments added

#170 - 10/28/2018 12:47 PM - Anonymous

- Related to Refactor #25324: Fix Rubocop: Performance/UnneededSort added

#171 - 10/28/2018 12:56 PM - Anonymous

- Related to Refactor #25325: Fix Rubocop: Layout/RescueEnsureAlignment added

#172 - 10/28/2018 01:02 PM - Anonymous

- Related to Refactor #25326: Fix Rubocop: Lint/SafeNavigationConsistency added

#173 - 10/28/2018 01:09 PM - Anonymous

- Related to Refactor #25327: Fix Rubocop: Style/UnneededCondition added

#174 - 11/01/2018 02:57 PM - Anonymous

- Related to Refactor #25365: Fix Rubocop: Rails/RefuteMethods added

#175 - 12/10/2018 12:57 PM - Tomer Brisker

- Category set to Development tools

#176 - 07/09/2019 08:46 AM - Anonymous

- Related to Refactor #27249: Fix Rubocop Style/TrailingCommaInArrayLiteral added

#177 - 07/10/2019 02:08 PM - Anonymous

- Related to Refactor #27263: Fix Rubocop Naming/UncommunicativeBlockParamName added
#178 - 12/15/2019 07:19 PM - Anonymous

- Related to Refactor #28511: Fix Rubocop: Lint/SendWithMixinArgument added

#179 - 12/15/2019 07:34 PM - Anonymous

- Related to Refactor #28512: Fix Rubocop: Layout/ClosingHeredocIndentation added

#180 - 12/26/2019 12:46 PM - Anonymous

- Related to Bug #28561: Fix Rubocop: Layout/AlignArguments added

#181 - 12/26/2019 12:48 PM - Anonymous

- Related to Refactor #28575: Fix Rubocop: Performance/RegexpMatch added

#182 - 12/26/2019 12:50 PM - Anonymous

- Related to Refactor #28576: Fix Rubocop: Style/RedundantBegin added

#183 - 03/14/2020 09:27 PM - Anonymous

- Related to Refactor #29349: Fix Rubocop: Layout/SpaceInsideArrayLiteralBrackets added

#184 - 03/14/2020 09:40 PM - Anonymous

- Related to Refactor #29350: Fix Rubocop: Layout/EmptyLineAfterGuardClause added

Powered by TCPDF (www.tcpdf.org)

05/20/2024 15/15

http://www.tcpdf.org

